# Method: accounts.mediationGroups.list

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#body.request_body)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#body.response_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#body.ListMediationGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#body.aspect)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list#try-it)

List mediation groups under the specified AdMob account.

<br />

This method has limited access. If you see a 403 permission denied error, please reach out to your account manager for access.

<br />

### HTTP request

`GET https://admob.googleapis.com/v1beta/{parent=accounts/*}/mediationGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the account to list mediation groups for. Example: accounts/pub-9876543210987654 |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of mediation groups to return. If unspecified or 0, at most 10,000 mediation groups will be returned. The maximum value is 20,000; values above 20,000 will be coerced to 20,000. |
| `pageToken` | `string` The value returned by the last `ListMediationGroupsResponse`; indicates that this is a continuation of a prior `mediationGroups.list` call, and that the system should return the next page of data. |
| `filter` | `string` The filter string that uses [EBNF grammar syntax](https://google.aip.dev/assets/misc/ebnf-filtering.txt). Possible fields to filter by are: - "AD_SOURCE_IDS" - "AD_UNIT_IDS" - "APP_IDS" - "DISPLAY_NAME" - "FORMAT" - "MEDIATION_GROUP_ID" - "PLATFORM" - "STATE" - "TARGETED_REGION_CODES" Possible filter functions are: - `IN`: Used to filter fields that represent a singleton including "MEDIATION_GROUP_ID", "DISPLAY_NAME", "STATE", "PLATFORM", and "FORMAT". - `CONTAINS_ANY`: Used to filter fields that represent a collection including "AD_SOURCE_IDS", "AD_UNIT_IDS", "APP_IDS", and "TARGETED_REGION_CODES". The filter functions can be added together using `AND`. `OR` functionality is not supported. Example: filter: IN(DISPLAY_NAME, "Test Group 1", "Test Group 2") AND IN(PLATFORM, "ANDROID") AND CONTAINS_ANY(AD_SOURCE_IDS, "5450213213286189855") |

### Request body

The request body must be empty.

### Response body

Response for the mediation groups list request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mediationGroups": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups#MediationGroup`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `mediationGroups[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups#MediationGroup`)`` The resulting mediation groups for the requested account. |
| `nextPageToken` | `string` If not empty, indicates that there may be more mediation groups for the request; this value should be passed in a new `ListMediationGroupsRequest`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admob.monetization`
- `
  https://www.googleapis.com/auth/admob.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).